petsc-3.4.2 2013-07-02

# MatPythonSetType

Initalize a Mat object implemented in Python.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatPythonSetType(Mat mat,const char pyname[])

Collective on Mat

### Input Parameter

| mat | - the matrix (Mat) object.
| pyname | - full dotted Python name [package].module[.{class|function}]

### Options Database Key

-mat_python_type <pyname> -

### Keywords

Mat, Python

### See Also

MatCreate(), MatSetType(), MATPYTHON, PetscPythonInitialize()

Level:intermediate
Location:src/mat/impls/python/pythonmat.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages